﻿:root {
    --colMain: #231611;
    --colPale: rgba(255,255,255,0.15);
    --colWhite: #fff;
    --colGold: #8d7954;
}
/*
font-family: big-caslon-fb, serif;
font-weight: 400 and 700;
font-style: normal;

font-family: gill-sans-nova, sans-serif;
font-weight: 400 and 700;
font-style: normal and italic;
*/


/* Reset */
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
}

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
    display: block;
}

body {
    line-height: 1;
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

    blockquote:before, blockquote:after, q:before, q:after {
        content: '';
        content: none;
    }

table {
    border-collapse: collapse;
    border-spacing: 0;
}

select::-ms-expand {
    display: none;
}

/* Basic */

html, body {
    height: 100%
}

body {
    background: var(--colMain);
    color: var(--colWhite);
    font-family: gill-sans-nova, sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.8;
}
    body.thanks {
        background: var(--colMain) url(/images/the-new-tide/bg-thanks.svg) left bottom no-repeat;
        /*background-size: cover*/
    }

h1 {
    font-family: big-caslon-fb, serif;
    font-size: clamp(1.75rem, 0.999vw + 1.451rem, 2.5rem);
    font-weight: 400;
    color: var(--colWhite);
    line-height: clamp(2.45rem, 0.733vw + 2.231rem, 3rem);
    text-wrap: balance;
    margin-bottom: 1.5rem;
}

h2 {
    font-family: big-caslon-fb, serif;
    font-size: clamp(1.25rem, 2vw + 0.15rem, 1.75rem);
    font-weight: 400;
    line-height: clamp(1.875rem, 1.6vw + 0.995rem, 2.275rem);
    margin-bottom: 1.5rem;
    text-wrap: pretty;
}

p {
    font-size: 1.125rem;
    line-height: 1.5;
    margin-bottom: 1.5rem;
    text-wrap: pretty;
}

    p.lead {
        font-size: clamp(1.75rem, 0.5vw + 1.475rem, 2rem);
        line-height: clamp(2.188rem, 0.625vw + 1.844rem, 2.5rem);
    }

form {
    width: 100%;
}

label {
    font-size: 1.125rem;
    line-height: 1.5;
}

legend {
    font-size: 1.125rem;
    line-height: 1.5;
    margin-bottom: 1.5rem;
}

input[type="checkbox"] {
    display: inline-block;
    transform: translateY(5px);
}

select,
input[type=submit],
input[type=email],
input[type=tel],
input[type=text] {
    width: 100%;
    font-family: gill-sans-nova, sans-serif;
    font-size: 1.125rem;
    line-height: normal;
    padding: 0.625rem 1.25rem 0.75rem;
    border: none;
    border-radius: 2rem;
    box-sizing: border-box;
    background: var(--colPale);
    color: var(--colWhite);
    transition: all 500ms cubic-bezier(0.165, 0.840, 0.440, 1.000);
    margin-bottom: 0.5rem
}

input[type=submit] {
    width: auto;
    text-align: center;
    color: var(--colMain);
    background: var(--colWhite);
    font-weight: 700;
    border-left: none;
}

    input[type=submit]:hover {
        color: var(--colWhite);
        background: var(--colGold);
    }

select {
    width: calc(33.3333% - 0.33333rem);
    color: var(--colWhite);
    background: var(--colGold);
    -webkit-appearance: none;
    appearance: none;
}
/* umbraco forms */
.umbraco-forms-hidden {
    display: none;
}

.row-fluid {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}

    .row-fluid div {
        width: 100%;
    }

        .row-fluid div.col-md-4 {
            width: calc(33.3333% - 0.33333rem);
        }
        .row-fluid div.col-md-6 {
            width: calc(50% - 0.25rem);
        }
        .row-fluid div.col-md-6 select,
        .row-fluid div.col-md-4 select {
            width: 100%;
        }

.dataconsent {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: 1rem;
    margin-bottom: 1.5rem
}
    .dataconsent > label {
        margin-bottom: 0.625rem;
    }
    .dataconsent .umbraco-forms-field-wrapper {
        display: flex;
        align-items: flex-start;
        column-gap: 0.5rem
    }

.field-validation-error {
    display: block;
    width: 100%;
    color: #900;
    margin-top: -0.25rem;
    margin-bottom: 1rem;
}

.umbraco-forms-submitmessage {
    display: block;
    padding: 0.5rem 1rem 0.75rem;
    background: var(--colMain);
    color: var(--colPale);
    border-radius: 0.5rem;
    font-size: 1.125rem
}

::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: var(--colWhite);
}
::-moz-placeholder { /* Firefox 19+ */
    color: var(--colWhite);
}
:-ms-input-placeholder { /* IE 10+ */
    color: var(--colWhite);
}
:-moz-placeholder { /* Firefox 18- */
    color: var(--colWhite);
}


/* layout */

article {
    display: flex;
    width: 100%;
    height: auto;
}
    body.thanks article {
        justify-content: flex-end
    }

section {
    flex: 1 1 48%;
    padding: 7.5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 100vh;
    text-align: left;
    box-sizing: border-box;
}
    section + section {
        flex: 1 1 52%;
    }

    section.logo {
        align-items: center;
        background: url(../images/the-new-tide/cgi-main.jpeg) center;
        background-size: cover;
        padding: 0;
    }
        section.logo .poly {
            display: flex;
            align-items: flex-start;
            justify-content: center;
            width: 16vw;
            height: 66vh;
            min-width: 300px;
            min-height: 500px;
            clip-path: polygon( 10% 0%, /* top-left */
            90% 0%, /* top-right */
            100% 100%, /* bottom-right */
            0% 100% /* bottom-left */
            );
            -webkit-clip-path: polygon( 0% 0%, 100% 0%, 100% 100%, 0% 52% );
            overflow: hidden;
            background: var(--colMain);
            position: absolute;
            left: 0;
            top: 0;
        }
        section.logo img {
            margin-top: 10vh;
            width: 75%;
            max-width: 240px;
            height: auto;
        }

    section.formSection {
        background: url(../images/the-new-tide/MDC_Logo.svg) calc(100% - 5.5rem) calc(100% - 2rem) no-repeat;
        background-size: 200px 50px;
    }
    section.thanksSection {
        flex: 0 0 48%;
        flex-direction: column;
        text-align: center
    }
        section.thanksSection img {
            width: 50%;
            max-width: 300px;
            height: auto;
            margin: 0 auto 2rem;
        }
        section.thanksSection h1 {
            text-wrap: balance;
        }

div.row {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

    div.row + div.row {
        margin-top: 2rem;
    }

    div.row img,
    div.row input {
        width: 33%;
        margin-bottom: 0;
    }

@media only screen and (max-width: 1280px) {
    section.logo {
        flex: 0 0 43%;
    }
}

@media only screen and (max-width: 1100px) {
    h1 {
    }

    h2 {
        text-align: center;
    }

    article {
        display: block;
    }
    body.thanks article {
        display: flex;
        min-height: 100vh;
    }
    section {
        display: block;
        height: auto;
        min-height: 0;
        padding: 5vh 5vh 15vh;
        text-align: center;
    }

        section.logo {
            padding: 0 5vh 10vh;
        }
            section.logo .poly {
                display: flex;
                align-items: flex-start;
                justify-content: center;
                width: 25vw;
                height: 35vw;
                min-width: 0;
                min-height: 0;
                position: relative;
                left: auto;
                top: auto;
            }
            section.logo img {
                height: auto;
                width: 80%;
                margin: 30px auto;
            }
        section.formSection {
            background: url(../images/the-new-tide/MDC_Logo.svg) center calc(100% - 1.5rem) no-repeat;
            background-size: 180px 47px;
        }
        section.thanksSection {
            display: flex;
            flex: 1 1 100%;
        }

    div.row img {
        width: 25%
    }
}

@media only screen and (max-width: 600px) {
    div.row {
        flex-wrap: wrap;
    }

    select {
        width: 100%;
    }

    section {
        display: block;
        height: auto;
        min-height: 0;
        padding: 5vh 1.5rem 8rem;
        text-align: center;
    }

        section + section {
            text-align: left;
        }
        section.logo {
            padding: 0 1.5rem 10vh;
            background: url(../images/the-new-tide/cgi-piazza.jpg) center;
            background-size: cover;
        }
        section.logo .poly {
            width: 35vw;
            height: 55vw;
        }

    div.row input {
        width: 40%
    }

    div.row img {
        width: auto;
        height: 38px
    }

    /* umbraco forms */
    .row-fluid {
        display: block;
    }

        .row-fluid div,
        .row-fluid div.col-md-4,
        .row-fluid div.col-md-6 {
            width: 100%;
        }

    .dataconsent {
        margin-top: 1rem;
        margin-bottom: 1.5rem
    }
}
